<!DOCTYPE html>
<html lang="ko">

<head>
  <title>table, rowspan, colspan</title>
  <style>
    /*  테이블, 헤더셀, 데이터셀에 테두리 추가 */
    table,th,td {
      border: 1px solid #ccc;
      border-collapse: collapse;
    }
    th,td {
      padding: 10px 20px;
    }
  </style>
</head>

<body>
  <h1>상품페이지 만들기1</h1>
  <table>
    <caption>선물용과 가정용 상품 구성</caption> <!-- 테이블에 설명 달기 -->
    <thead> <!-- 테이블의 제목 -->
      <tr>
        <th>용도</th> <!-- 제목셀 th -->
        <th>중량</th>
        <th>개수</t>
        <th>가격</th>
      </tr>
    </thead>
    <tbody> <!-- 테이블의 본문(실제데이터) -->
      <tr>
        <td rowspan="2">선물용</td> <!-- 행 2개 합치기 -->
        <td>3kg</td>
        <td>11~16과</td>
        <td>35,000원</td>
      </tr>
      <tr>
        <!-- 첫번째 행에서 행을 합쳤으므로 셀 생략 -->
        <td>5kg</td> 
        <td>18~26과</td>
        <td>52,000원</td>
      </tr>
      <tr>
        <td rowspan="2">가정용</td>
        <td>3kg</td>
        <td>11~16과</td>
        <td>30,000원</td>
      </tr>
      <tr>
        <!-- 세번째 행에서 행을 합쳤으므로 셀 생략 -->
        <td>5kg</td>
        <td colspan="2">18~26과 47,000원</td> <!-- 열 2개 합치기 -->
      </tr>
    </tbody>
  </table>
</body>

</html>